Index: palm/trunk/SOURCE/pmc_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 3791)
+++ palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 3792)
@@ -5148,24 +3101,11 @@
 
              IF ( passive_scalar )  THEN
-                CALL pmci_interp_1sto_lr( s, sc, ico, jco, kco, r1xo, r2xo,    &
-                                          r1yo, r2yo, r1zo, r2zo,              &
-                                          logc_w_l, logc_ratio_w_l,            &
-                                          logc_kbounds_w_l,                    & 
-                                          nzt_topo_nestbc_l,                   &
-                                          kcto, iflo, ifuo, jflo, jfuo,        &
-                                          kflo, kfuo, ijkfc_s, 'l', 's' )
+                CALL pmci_interp_1sto_lr( s, sc, kcto, jflo, jfuo, kflo, kfuo, 'l', 's' )
              ENDIF
 
              IF ( air_chemistry  .AND.  nest_chemistry )  THEN
                 DO  n = 1, nspec
-                   CALL pmci_interp_1sto_lr( chem_species(n)%conc,             &
-                                             chem_spec_c(:,:,:,n),             &
-                                             ico, jco, kco, r1xo, r2xo,        &
-                                             r1yo, r2yo, r1zo, r2zo,           &
-                                             logc_w_l, logc_ratio_w_l,         &
-                                             logc_kbounds_w_l,                 & 
-                                             nzt_topo_nestbc_l,                &
-                                             kcto, iflo, ifuo, jflo, jfuo,     &
-                                             kflo, kfuo, ijkfc_s, 'l', 's' )
+                   CALL pmci_interp_1sto_lr( chem_species(n)%conc, chem_spec_c(:,:,:,n),            &
+                        kcto, jflo, jfuo, kflo, kfuo, 'l', 's' )
                 ENDDO
              ENDIF
@@ -5176,34 +3116,12 @@
           IF ( bc_dirichlet_r )  THEN
              
-             CALL pmci_interp_1sto_lr( u,  uc,  icu, jco, kco, r1xu, r2xu,     &
-                                       r1yo, r2yo, r1zo, r2zo,                 &
-                                       logc_u_r, logc_ratio_u_r,               &
-                                       logc_kbounds_u_r, nzt_topo_nestbc_r,    &
-                                       kcto, iflu, ifuu, jflo, jfuo, kflo,     &
-                                       kfuo, ijkfc_u, 'r', 'u' )
-
-             CALL pmci_interp_1sto_lr( v,  vc,  ico, jcv, kco, r1xo, r2xo,     &
-                                       r1yv, r2yv, r1zo, r2zo,                 &
-                                       logc_v_r, logc_ratio_v_r,               &
-                                       logc_kbounds_v_r, nzt_topo_nestbc_r,    &
-                                       kcto, iflo, ifuo, jflv, jfuv, kflo,     &
-                                       kfuo, ijkfc_v, 'r', 'v' )
-
-             CALL pmci_interp_1sto_lr( w,  wc,  ico, jco, kcw, r1xo, r2xo,     &
-                                       r1yo, r2yo, r1zw, r2zw,                 &
-                                       logc_w_r, logc_ratio_w_r,               &
-                                       logc_kbounds_w_r, nzt_topo_nestbc_r,    &
-                                       kctw, iflo, ifuo, jflo, jfuo, kflw,     &
-                                       kfuw, ijkfc_w, 'r', 'w' )
-
-             IF ( (        rans_mode_parent  .AND.         rans_mode )  .OR.   &
-                  (  .NOT. rans_mode_parent  .AND.  .NOT.  rans_mode  .AND.    &
+             CALL pmci_interp_1sto_lr( u, uc, kcto, jflo, jfuo, kflo, kfuo, 'r', 'u' )
+             CALL pmci_interp_1sto_lr( v, vc, kcto, jflv, jfuv, kflo, kfuo, 'r', 'v' )
+             CALL pmci_interp_1sto_lr( w, wc, kctw, jflo, jfuo, kflw, kfuw, 'r', 'w' )
+
+             IF ( (        rans_mode_parent  .AND.         rans_mode )  .OR.                        &
+                  (  .NOT. rans_mode_parent  .AND.  .NOT.  rans_mode  .AND.                         &
                      .NOT. constant_diffusion ) )  THEN
-!                CALL pmci_interp_1sto_lr( e,  ec,  ico, jco, kco, r1xo, r2xo,  &
-!                                          r1yo,r2yo, r1zo, r2zo,               &
-!                                          logc_w_r, logc_ratio_w_r,            &
-!                                          logc_kbounds_w_r, nzt_topo_nestbc_r, &
-!                                          kcto, iflo, ifuo, jflo, jfuo, kflo,  &
-!                                          kfuo, ijkfc_s, 'r', 'e' )
+!                CALL pmci_interp_1sto_lr( e, ec, kcto, iflo, ifuo, jflo, jfuo, kflo, kfuo, 'r', 'e' )
 !
 !--             Interpolation of e is replaced by the Neumann condition. 
@@ -5214,70 +3132,23 @@
 
              IF ( rans_mode_parent  .AND.  rans_mode  .AND.  rans_tke_e )  THEN
-                CALL pmci_interp_1sto_lr( diss,  dissc,  ico, jco, kco, r1xo,  &
-                                          r2xo, r1yo,r2yo, r1zo, r2zo,         &
-                                          logc_w_r, logc_ratio_w_r,            &
-                                          logc_kbounds_w_r, nzt_topo_nestbc_r, &
-                                          kcto, iflo, ifuo, jflo, jfuo, kflo,  &
-                                          kfuo, ijkfc_s, 'r', 's' )
+                CALL pmci_interp_1sto_lr( diss, dissc, kcto, jflo, jfuo, kflo, kfuo, 'r', 's' )
 
              ENDIF
 
              IF ( .NOT. neutral )  THEN
-                CALL pmci_interp_1sto_lr( pt, ptc, ico, jco, kco, r1xo, r2xo,  &
-                                          r1yo, r2yo, r1zo, r2zo,              &
-                                          logc_w_r, logc_ratio_w_r,            &
-                                          logc_kbounds_w_r, nzt_topo_nestbc_r, &
-                                          kcto, iflo, ifuo, jflo, jfuo, kflo,  &
-                                          kfuo, ijkfc_s, 'r', 's' )
+                CALL pmci_interp_1sto_lr( pt, ptc, kcto, jflo, jfuo, kflo, kfuo, 'r', 's' )
              ENDIF
 
              IF ( humidity )  THEN
-                CALL pmci_interp_1sto_lr( q, q_c, ico, jco, kco, r1xo, r2xo,   &
-                                          r1yo, r2yo, r1zo, r2zo,              &
-                                          logc_w_r, logc_ratio_w_r,            &
-                                          logc_kbounds_w_r, nzt_topo_nestbc_r, &
-                                          kcto, iflo, ifuo, jflo, jfuo, kflo,  &
-                                          kfuo, ijkfc_s, 'r', 's' )
+                CALL pmci_interp_1sto_lr( q, q_c, kcto, jflo, jfuo, kflo, kfuo, 'r', 's' )
 
                 IF ( bulk_cloud_model  .AND.  microphysics_morrison )  THEN
-
-                   CALL pmci_interp_1sto_lr( qc, qcc, ico, jco, kco, r1xo,     &
-                                             r2xo, r1yo, r2yo, r1zo, r2zo,     &
-                                             logc_w_r, logc_ratio_w_r,         &
-                                             logc_kbounds_w_r,                 &
-                                             nzt_topo_nestbc_r,                &
-                                             kcto, iflo, ifuo, jflo, jfuo,     &
-                                             kflo, kfuo, ijkfc_s, 'r', 's' ) 
-     
-                   CALL pmci_interp_1sto_lr( nc, ncc, ico, jco, kco, r1xo,     &
-                                             r2xo, r1yo, r2yo, r1zo, r2zo,     &
-                                             logc_w_r, logc_ratio_w_r,         &
-                                             logc_kbounds_w_r,                 &
-                                             nzt_topo_nestbc_r,                &
-                                             kcto, iflo, ifuo, jflo, jfuo,     &
-                                             kflo, kfuo, ijkfc_s, 'r', 's' )
-
+                   CALL pmci_interp_1sto_lr( qc, qcc, kcto, jflo, jfuo, kflo, kfuo, 'r', 's' ) 
+                   CALL pmci_interp_1sto_lr( nc, ncc, kcto, jflo, jfuo, kflo, kfuo, 'r', 's' )
                 ENDIF
 
                 IF ( bulk_cloud_model  .AND.  microphysics_seifert )  THEN
-
-     
-                   CALL pmci_interp_1sto_lr( qr, qrc, ico, jco, kco, r1xo,     &
-                                             r2xo, r1yo, r2yo, r1zo, r2zo,     &
-                                             logc_w_r, logc_ratio_w_r,         &
-                                             logc_kbounds_w_r,                 &
-                                             nzt_topo_nestbc_r,                &
-                                             kcto, iflo, ifuo, jflo, jfuo,     &
-                                             kflo, kfuo, ijkfc_s,              &
-                                             'r', 's' ) 
-
-                   CALL pmci_interp_1sto_lr( nr, nrc, ico, jco, kco, r1xo,     &
-                                             r2xo, r1yo, r2yo, r1zo, r2zo,     &
-                                             logc_w_r, logc_ratio_w_r,         &
-                                             logc_kbounds_w_r,                 &
-                                             nzt_topo_nestbc_r,                &
-                                             kcto, iflo, ifuo, jflo, jfuo,     &
-                                             kflo, kfuo, ijkfc_s, 'r', 's' ) 
-
+                   CALL pmci_interp_1sto_lr( qr, qrc, kcto, jflo, jfuo, kflo, kfuo, 'r', 's' ) 
+                   CALL pmci_interp_1sto_lr( nr, nrc, kcto, jflo, jfuo, kflo, kfuo, 'r', 's' ) 
                 ENDIF
 
@@ -5285,24 +3156,11 @@
 
              IF ( passive_scalar )  THEN
-                CALL pmci_interp_1sto_lr( s, sc, ico, jco, kco, r1xo, r2xo,    &
-                                          r1yo, r2yo, r1zo, r2zo,              &
-                                          logc_w_r, logc_ratio_w_r,            &
-                                          logc_kbounds_w_r,                    &
-                                          nzt_topo_nestbc_r,                   &
-                                          kcto, iflo, ifuo, jflo, jfuo,        &
-                                          kflo, kfuo, ijkfc_s, 'r', 's' )
+                CALL pmci_interp_1sto_lr( s, sc, kcto, jflo, jfuo, kflo, kfuo, 'r', 's' )
              ENDIF
 
              IF ( air_chemistry  .AND.  nest_chemistry )  THEN
                 DO  n = 1, nspec
-                   CALL pmci_interp_1sto_lr( chem_species(n)%conc,             &
-                                             chem_spec_c(:,:,:,n),             &
-                                             ico, jco, kco, r1xo, r2xo,        &
-                                             r1yo, r2yo, r1zo, r2zo,           &
-                                             logc_w_r, logc_ratio_w_r,         &
-                                             logc_kbounds_w_r,                 &
-                                             nzt_topo_nestbc_r,                &
-                                             kcto, iflo, ifuo, jflo, jfuo,     &
-                                             kflo, kfuo, ijkfc_s, 'r', 's' )
+                   CALL pmci_interp_1sto_lr( chem_species(n)%conc, chem_spec_c(:,:,:,n),            &
+                        kcto, jflo, jfuo, kflo, kfuo, 'r', 's' )
                 ENDDO
              ENDIF
@@ -5312,34 +3170,12 @@
           IF ( bc_dirichlet_s )  THEN
 
-             CALL pmci_interp_1sto_sn( v,  vc,  ico, jcv, kco, r1xo, r2xo,     &
-                                       r1yv, r2yv, r1zo, r2zo,                 &
-                                       logc_v_s, logc_ratio_v_s,               &
-                                       logc_kbounds_v_s, nzt_topo_nestbc_s,    &
-                                       kcto, iflo, ifuo, jflv, jfuv, kflo,     &
-                                       kfuo, ijkfc_v, 's', 'v' )
-
-             CALL pmci_interp_1sto_sn( w,  wc,  ico, jco, kcw, r1xo, r2xo,     &
-                                       r1yo, r2yo, r1zw, r2zw,                 &
-                                       logc_w_s, logc_ratio_w_s,               &
-                                       logc_kbounds_w_s, nzt_topo_nestbc_s,    &
-                                       kctw, iflo, ifuo, jflo, jfuo, kflw,     &
-                                       kfuw, ijkfc_w, 's','w' )
-
-             CALL pmci_interp_1sto_sn( u,  uc,  icu, jco, kco, r1xu, r2xu,     &
-                                       r1yo, r2yo, r1zo, r2zo,                 &
-                                       logc_u_s, logc_ratio_u_s,               &
-                                       logc_kbounds_u_s, nzt_topo_nestbc_s,    &
-                                       kcto, iflu, ifuu, jflo, jfuo, kflo,     &
-                                       kfuo, ijkfc_u, 's', 'u' )
+             CALL pmci_interp_1sto_sn( v, vc, kcto, iflo, ifuo, kflo, kfuo, 's', 'v' )
+             CALL pmci_interp_1sto_sn( w, wc, kctw, iflo, ifuo, kflw, kfuw, 's', 'w' )
+             CALL pmci_interp_1sto_sn( u, uc, kcto, iflu, ifuu, kflo, kfuo, 's', 'u' )
 
              IF ( (        rans_mode_parent  .AND.         rans_mode )  .OR.   &
                   (  .NOT. rans_mode_parent  .AND.  .NOT.  rans_mode  .AND.    &
                      .NOT. constant_diffusion ) )  THEN
-!                CALL pmci_interp_1sto_sn( e,  ec,  ico, jco, kco, r1xo, r2xo,  &
-!                                          r1yo, r2yo, r1zo, r2zo,              &
-!                                          logc_w_s, logc_ratio_w_s,            &
-!                                          logc_kbounds_w_s, nzt_topo_nestbc_s, &
-!                                          kcto, iflo, ifuo, jflo, jfuo, kflo,  &
-!                                          kfuo, ijkfc_s, 's', 'e' )
+!                CALL pmci_interp_1sto_sn( e, ec, kcto, iflo, ifuo, kflo, kfuo, 's', 'e' )
 !
 !--             Interpolation of e is replaced by the Neumann condition. 
@@ -5350,67 +3186,22 @@
 
              IF ( rans_mode_parent  .AND.  rans_mode  .AND.  rans_tke_e )  THEN
-                CALL pmci_interp_1sto_sn( diss, dissc,  ico, jco, kco, r1xo,   &
-                                          r2xo, r1yo, r2yo, r1zo, r2zo,        &
-                                          logc_w_s, logc_ratio_w_s,            &
-                                          logc_kbounds_w_s, nzt_topo_nestbc_s, &
-                                          kcto, iflo, ifuo, jflo, jfuo, kflo,  &
-                                          kfuo, ijkfc_s, 's', 's' )
+                CALL pmci_interp_1sto_sn( diss, dissc, kcto, iflo, ifuo, kflo, kfuo, 's', 's' )
              ENDIF
 
              IF ( .NOT. neutral )  THEN
-                CALL pmci_interp_1sto_sn( pt, ptc, ico, jco, kco, r1xo, r2xo,  &
-                                          r1yo, r2yo, r1zo, r2zo,              &
-                                          logc_w_s, logc_ratio_w_s,            &
-                                          logc_kbounds_w_s, nzt_topo_nestbc_s, &
-                                          kcto, iflo, ifuo, jflo, jfuo, kflo,  &
-                                          kfuo, ijkfc_s, 's', 's' )
+                CALL pmci_interp_1sto_sn( pt, ptc, kcto, iflo, ifuo, kflo, kfuo, 's', 's' )
              ENDIF
 
              IF ( humidity )  THEN
-                CALL pmci_interp_1sto_sn( q, q_c, ico, jco, kco, r1xo, r2xo,   &
-                                          r1yo,r2yo, r1zo, r2zo,               &
-                                          logc_w_s, logc_ratio_w_s,            &
-                                          logc_kbounds_w_s, nzt_topo_nestbc_s, &
-                                          kcto, iflo, ifuo, jflo, jfuo, kflo,  &
-                                          kfuo, ijkfc_s, 's', 's' )
+                CALL pmci_interp_1sto_sn( q, q_c, kcto, iflo, ifuo, kflo, kfuo, 's', 's' )
 
                 IF ( bulk_cloud_model  .AND.  microphysics_morrison )  THEN
-
-                   CALL pmci_interp_1sto_sn( qc, qcc, ico, jco, kco, r1xo,     &
-                                             r2xo, r1yo,r2yo, r1zo, r2zo,      &
-                                             logc_w_s, logc_ratio_w_s,         &
-                                             logc_kbounds_w_s,                 &
-                                             nzt_topo_nestbc_s,                &
-                                             kcto, iflo, ifuo, jflo, jfuo,     &
-                                             kflo, kfuo, ijkfc_s, 's', 's' )
-
-                   CALL pmci_interp_1sto_sn( nc, ncc, ico, jco, kco, r1xo,     &
-                                             r2xo, r1yo,r2yo, r1zo, r2zo,      &
-                                             logc_w_s, logc_ratio_w_s,         &
-                                             logc_kbounds_w_s,                 &
-                                             nzt_topo_nestbc_s,                &
-                                             kcto, iflo, ifuo, jflo, jfuo,     &
-                                             kflo, kfuo, ijkfc_s, 's', 's' )
-
+                   CALL pmci_interp_1sto_sn( qc, qcc, kcto, iflo, ifuo, kflo, kfuo, 's', 's' )
+                   CALL pmci_interp_1sto_sn( nc, ncc, kcto, iflo, ifuo, kflo, kfuo, 's', 's' )
                 ENDIF
 
                 IF ( bulk_cloud_model  .AND.  microphysics_seifert )  THEN
-
-                   CALL pmci_interp_1sto_sn( qr, qrc, ico, jco, kco, r1xo,     &
-                                             r2xo, r1yo,r2yo, r1zo, r2zo,      &
-                                             logc_w_s, logc_ratio_w_s,         &
-                                             logc_kbounds_w_s,                 &
-                                             nzt_topo_nestbc_s,                &
-                                             kcto, iflo, ifuo, jflo, jfuo,     &
-                                             kflo, kfuo, ijkfc_s, 's', 's' )
-
-                   CALL pmci_interp_1sto_sn( nr, nrc, ico, jco, kco, r1xo,     &
-                                             r2xo, r1yo,r2yo, r1zo, r2zo,      &
-                                             logc_w_s, logc_ratio_w_s,         &
-                                             logc_kbounds_w_s,                 &
-                                             nzt_topo_nestbc_s,                &
-                                             kcto, iflo, ifuo, jflo, jfuo,     &
-                                             kflo, kfuo, ijkfc_s, 's', 's' )
-
+                   CALL pmci_interp_1sto_sn( qr, qrc, kcto, iflo, ifuo, kflo, kfuo, 's', 's' )
+                   CALL pmci_interp_1sto_sn( nr, nrc, kcto, iflo, ifuo, kflo, kfuo, 's', 's' )
                 ENDIF
 
@@ -5418,24 +3209,11 @@
 
              IF ( passive_scalar )  THEN
-                CALL pmci_interp_1sto_sn( s, sc, ico, jco, kco, r1xo, r2xo,    &
-                                          r1yo,r2yo, r1zo, r2zo,               &
-                                          logc_w_s, logc_ratio_w_s,            &
-                                          logc_kbounds_w_s,                    &
-                                          nzt_topo_nestbc_s,                   &
-                                          kcto, iflo, ifuo, jflo, jfuo,        &
-                                          kflo, kfuo, ijkfc_s, 's', 's' )
+                CALL pmci_interp_1sto_sn( s, sc, kcto, iflo, ifuo, kflo, kfuo, 's', 's' )
              ENDIF
 
              IF ( air_chemistry  .AND.  nest_chemistry )  THEN
                 DO  n = 1, nspec
-                   CALL pmci_interp_1sto_sn( chem_species(n)%conc,             &
-                                             chem_spec_c(:,:,:,n),             &
-                                             ico, jco, kco, r1xo, r2xo,        &
-                                             r1yo, r2yo, r1zo, r2zo,           &
-                                             logc_w_s, logc_ratio_w_s,         &
-                                             logc_kbounds_w_s,                 &
-                                             nzt_topo_nestbc_s,                &
-                                             kcto, iflo, ifuo, jflo, jfuo,     &
-                                             kflo, kfuo, ijkfc_s, 's', 's' )
+                   CALL pmci_interp_1sto_sn( chem_species(n)%conc, chem_spec_c(:,:,:,n),            &
+                        kcto, iflo, ifuo, kflo, kfuo, 's', 's' )
                 ENDDO
              ENDIF
@@ -5445,34 +3223,12 @@
           IF ( bc_dirichlet_n )  THEN
              
-             CALL pmci_interp_1sto_sn( u,  uc,  icu, jco, kco, r1xu, r2xu,     &
-                                       r1yo, r2yo, r1zo, r2zo,                 &
-                                       logc_u_n, logc_ratio_u_n,               &
-                                       logc_kbounds_u_n, nzt_topo_nestbc_n,    &
-                                       kcto, iflu, ifuu, jflo, jfuo, kflo,     &
-                                       kfuo, ijkfc_u, 'n', 'u' )
-
-             CALL pmci_interp_1sto_sn( v,  vc,  ico, jcv, kco, r1xo, r2xo,     &
-                                       r1yv, r2yv, r1zo, r2zo,                 &
-                                       logc_v_n, logc_ratio_v_n,               &
-                                       logc_kbounds_v_n, nzt_topo_nestbc_n,    &
-                                       kcto, iflo, ifuo, jflv, jfuv, kflo,     &
-                                       kfuo, ijkfc_v, 'n', 'v' )
-
-             CALL pmci_interp_1sto_sn( w,  wc,  ico, jco, kcw, r1xo, r2xo,     &
-                                       r1yo, r2yo, r1zw, r2zw,                 &
-                                       logc_w_n, logc_ratio_w_n,               &
-                                       logc_kbounds_w_n, nzt_topo_nestbc_n,    &
-                                       kctw, iflo, ifuo, jflo, jfuo, kflw,     &
-                                       kfuw, ijkfc_w, 'n', 'w' )
-
-             IF ( (        rans_mode_parent  .AND.         rans_mode )  .OR.   & 
-                  (  .NOT. rans_mode_parent  .AND.  .NOT.  rans_mode  .AND.    &
+             CALL pmci_interp_1sto_sn( v, vc, kcto, iflo, ifuo, kflo, kfuo, 'n', 'v' )
+             CALL pmci_interp_1sto_sn( w, wc, kctw, iflo, ifuo, kflw, kfuw, 'n', 'w' )
+             CALL pmci_interp_1sto_sn( u, uc, kcto, iflu, ifuu, kflo, kfuo, 'n', 'u' )
+
+             IF ( (        rans_mode_parent  .AND.         rans_mode )  .OR.                        & 
+                  (  .NOT. rans_mode_parent  .AND.  .NOT.  rans_mode  .AND.                         &
                      .NOT. constant_diffusion ) )  THEN
-!                CALL pmci_interp_1sto_sn( e,  ec,  ico, jco, kco, r1xo, r2xo,  &
-!                                          r1yo, r2yo, r1zo, r2zo,              &
-!                                          logc_w_n, logc_ratio_w_n,            &
-!                                          logc_kbounds_w_n, nzt_topo_nestbc_n, &
-!                                          kcto, iflo, ifuo, jflo, jfuo, kflo,  &
-!                                          kfuo, ijkfc_s, 'n', 'e' )
+!                CALL pmci_interp_1sto_sn( e, ec, kcto, iflo, ifuo, kflo, kfuo, 'n', 'e' )
 !
 !--             Interpolation of e is replaced by the Neumann condition. 
@@ -5483,68 +3239,22 @@
 
              IF ( rans_mode_parent  .AND.  rans_mode  .AND.  rans_tke_e )  THEN
-                CALL pmci_interp_1sto_sn( diss, dissc,  ico, jco, kco, r1xo,   &
-                                          r2xo, r1yo, r2yo, r1zo, r2zo,        &
-                                          logc_w_n, logc_ratio_w_n,            &
-                                          logc_kbounds_w_n, nzt_topo_nestbc_n, &
-                                          kcto, iflo, ifuo, jflo, jfuo, kflo,  &
-                                          kfuo, ijkfc_s, 'n', 's' )
-
+                CALL pmci_interp_1sto_sn( diss, dissc, kcto, iflo, ifuo, kflo, kfuo, 'n', 's' )
              ENDIF
 
              IF ( .NOT. neutral )  THEN
-                CALL pmci_interp_1sto_sn( pt, ptc, ico, jco, kco, r1xo, r2xo,  &
-                                          r1yo, r2yo, r1zo, r2zo,              &
-                                          logc_w_n, logc_ratio_w_n,            &
-                                          logc_kbounds_w_n, nzt_topo_nestbc_n, &
-                                          kcto, iflo, ifuo, jflo, jfuo, kflo,  &
-                                          kfuo, ijkfc_s, 'n', 's' )
+                CALL pmci_interp_1sto_sn( pt, ptc, kcto, iflo, ifuo, kflo, kfuo, 'n', 's' )
              ENDIF
 
              IF ( humidity )  THEN
-                CALL pmci_interp_1sto_sn( q, q_c, ico, jco, kco, r1xo, r2xo,   &
-                                          r1yo, r2yo, r1zo, r2zo,              &
-                                          logc_w_n, logc_ratio_w_n,            &
-                                          logc_kbounds_w_n, nzt_topo_nestbc_n, &
-                                          kcto, iflo, ifuo, jflo, jfuo, kflo,  &
-                                          kfuo, ijkfc_s, 'n', 's' )
+                CALL pmci_interp_1sto_sn( q, q_c, kcto, iflo, ifuo, kflo, kfuo, 'n', 's' )
 
                 IF ( bulk_cloud_model  .AND.  microphysics_morrison )  THEN
-
-                   CALL pmci_interp_1sto_sn( qc, qcc, ico, jco, kco, r1xo,     &
-                                             r2xo, r1yo, r2yo, r1zo, r2zo,     &
-                                             logc_w_n, logc_ratio_w_n,         &
-                                             logc_kbounds_w_n,                 &
-                                             nzt_topo_nestbc_n,                &
-                                             kcto, iflo, ifuo, jflo, jfuo,     &
-                                             kflo, kfuo, ijkfc_s, 'n', 's' )
-
-                   CALL pmci_interp_1sto_sn( nc, ncc, ico, jco, kco, r1xo,     &
-                                             r2xo, r1yo, r2yo, r1zo, r2zo,     &
-                                             logc_u_n, logc_ratio_u_n,         &
-                                             logc_kbounds_w_n,                 &
-                                             nzt_topo_nestbc_n,                &
-                                             kcto, iflo, ifuo, jflo, jfuo,     &
-                                             kflo, kfuo, ijkfc_s, 'n', 's' )
-
+                   CALL pmci_interp_1sto_sn( qc, qcc, kcto, iflo, ifuo, kflo, kfuo, 'n', 's' )
+                   CALL pmci_interp_1sto_sn( nc, ncc, kcto, iflo, ifuo, kflo, kfuo, 'n', 's' )
                 ENDIF
 
                 IF ( bulk_cloud_model  .AND.  microphysics_seifert )  THEN
-
-                   CALL pmci_interp_1sto_sn( qr, qrc, ico, jco, kco, r1xo,     &
-                                             r2xo, r1yo, r2yo, r1zo, r2zo,     &
-                                             logc_w_n, logc_ratio_w_n,         &
-                                             logc_kbounds_w_n,                 &
-                                             nzt_topo_nestbc_n,                &
-                                             kcto, iflo, ifuo, jflo, jfuo,     &
-                                             kflo, kfuo, ijkfc_s, 'n', 's' )
-
-                   CALL pmci_interp_1sto_sn( nr, nrc, ico, jco, kco, r1xo,     &
-                                             r2xo, r1yo, r2yo, r1zo, r2zo,     &
-                                             logc_w_n, logc_ratio_w_n,         &
-                                             logc_kbounds_w_n,                 &
-                                             nzt_topo_nestbc_n,                &
-                                             kcto, iflo, ifuo, jflo, jfuo,     &
-                                             kflo, kfuo, ijkfc_s, 'n', 's' )
-
+                   CALL pmci_interp_1sto_sn( qr, qrc, kcto, iflo, ifuo, kflo, kfuo, 'n', 's' )
+                   CALL pmci_interp_1sto_sn( nr, nrc, kcto, iflo, ifuo, kflo, kfuo, 'n', 's' )
                 ENDIF
 
@@ -5552,24 +3262,11 @@
 
              IF ( passive_scalar )  THEN
-                CALL pmci_interp_1sto_sn( s, sc, ico, jco, kco, r1xo, r2xo,    &
-                                          r1yo, r2yo, r1zo, r2zo,              &
-                                          logc_w_n, logc_ratio_w_n,            &
-                                          logc_kbounds_w_n,                    &
-                                          nzt_topo_nestbc_n,                   &
-                                          kcto, iflo, ifuo, jflo, jfuo,        &
-                                          kflo, kfuo, ijkfc_s, 'n', 's' )
+                CALL pmci_interp_1sto_sn( s, sc, kcto, iflo, ifuo, kflo, kfuo, 'n', 's' )
              ENDIF
 
              IF ( air_chemistry  .AND.  nest_chemistry )  THEN
                 DO  n = 1, nspec
-                   CALL pmci_interp_1sto_sn( chem_species(n)%conc,             &
-                                             chem_spec_c(:,:,:,n),             &
-                                             ico, jco, kco, r1xo, r2xo,        &
-                                             r1yo, r2yo, r1zo, r2zo,           &
-                                             logc_w_n, logc_ratio_w_n,         &
-                                             logc_kbounds_w_n,                 &
-                                             nzt_topo_nestbc_n,                &
-                                             kcto, iflo, ifuo, jflo, jfuo,     &
-                                             kflo, kfuo, ijkfc_s, 'n', 's' )
+                   CALL pmci_interp_1sto_sn( chem_species(n)%conc, chem_spec_c(:,:,:,n),            &
+                        kcto, iflo, ifuo, kflo, kfuo, 'n', 's' )
                 ENDDO
              ENDIF
